export declare class UniqKeyQueue<T> {
    private readonly equalsFunction;
    private _uniqItems;
    private _queue;
    get queueChange(): import("rxjs").Observable<T[]>;
    constructor(equalsFunction: (a: T, b: T) => boolean);
    getSnasphot(): T[];
    reset(): void;
    add(...items: T[]): void;
    remove(...itemsToRemove: T[]): void;
}
